aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2016-01-31 17:01:18 -0800
committerRobin H. Johnson <robbat2@gentoo.org>2016-01-31 17:01:18 -0800
commitbef2c088c6c1677f92b44d9f8c8709fc1566b6ba (patch)
tree2a972ac9a6a74ba13429ade56846d28f3a79711b
parentUse parallel XZ as well. (diff)
downloadmastermirror-scripts-bef2c088c6c1677f92b44d9f8c8709fc1566b6ba.tar.gz
mastermirror-scripts-bef2c088c6c1677f92b44d9f8c8709fc1566b6ba.tar.bz2
mastermirror-scripts-bef2c088c6c1677f92b44d9f8c8709fc1566b6ba.zip
snapshots-create: be explicit about filenames for xz.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-rwxr-xr-xsnapshots-create.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/snapshots-create.sh b/snapshots-create.sh
index e2c5e2d..600b9c3 100755
--- a/snapshots-create.sh
+++ b/snapshots-create.sh
@@ -113,7 +113,13 @@ write_time_log "END SIZE SANITY $(date -u)"
# 3) create xz tarball
write_time_log "START XZ $(date -u)"
if [ ! -f "${FILENAME%.*}.xz" ] ; then
- ${XZ_PROG} -k -9 -e "${FILENAME%.*}" || exit $?
+ # pixz, pxz, xz all differ in filename generation
+ # xz: .tar -> .tar.xz
+ # pixz: .tar -> .tpxz
+ # pxz: .tar -> .txz
+ #
+ # To avoid this, be explicit by using IO.
+ ${XZ_PROG} -9 -e <"${FILENAME%.*}" >"${FILENAME%.*}.xz" || exit $?
fi
write_time_log "END XZ $(date -u)"
# end 3)